Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.instruct
Class TraceInstruction

    java.lang.Object
      net.sf.saxon.expr.ComputedExpression
          net.sf.saxon.instruct.Instruction
              net.sf.saxon.instruct.TraceWrapper
                  net.sf.saxon.instruct.TraceInstruction

All Implemented Interfaces:
  Container, Expression, InstructionInfoProvider, java.io.Serializable, javax.xml.transform.SourceLocator

public class TraceInstruction
extends TraceWrapper

A run-time instruction which wraps a real instruction and traces its entry and exit to the TraceListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.ComputedExpression
`locationId, staticProperties`

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`TraceInstruction(Expression child, InstructionInfo details)` Create a Trace instruction

Method Summary
`InstructionInfo` | `getInstructionInfo()` Get the instruction details

Methods inherited from class net.sf.saxon.instruct.TraceWrapper
`analyze, computeDependencies, createsNewNodes, display, evaluateItem, getCardinality, getDependencies, getInstructionNameCode, getItemType, iterate, iterateSubExpressions, processLeavingTail, simplify`

Methods inherited from class net.sf.saxon.instruct.Instruction
`appendItem, assembleParams, assembleTunnelParams, computeCardinality, computeSpecialProperties, dynamicError, dynamicError, effectiveBooleanValue, evaluateAsString, getImplementationMethod, getSourceLocator, isXSLT, process, promote, promoteInst`

Methods inherited from class net.sf.saxon.expr.ComputedExpression
`adoptChildExpression, checkPermittedContents, computeStaticProperties, dynamicError, dynamicError, getColumnNumber, getConstructType, getExecutable, getIntrinsicDependencies, getLineNumber, getLocationId, getParentExpression, getPublicId, getSpecialProperties, getSystemId, markTailFunctionCalls, resetStaticProperties, setLocationId, setParentExpression, typeError, typeError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Constructor Detail

### TraceInstruction

    public TraceInstruction(Expression child,
                            InstructionInfo details)

  Create a Trace instruction

Parameters:
  `child` - the "real" instruction to be traced

Method Detail

### getInstructionInfo

    public InstructionInfo getInstructionInfo()

  Get the instruction details

  Specified by:
    `getInstructionInfo` in interface `InstructionInfoProvider`
  Overrides:
    `getInstructionInfo` in class `Instruction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD